Cancel subscription
curl --request POST \
--url https://api.veryfront.com/account/subscription/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/account/subscription/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/account/subscription/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"subscription": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"server_usage": 123,
"sandbox_usage": 123,
"server_usage_details": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"short_id": "<string>",
"environment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"environments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"project_slug": "<string>"
}
]
}
],
"line_items": [
{
"quantity": 123,
"unit_amount": 123,
"currency": "<string>"
}
],
"status": "<string>",
"current_period_start": "<string>",
"current_period_end": "<string>",
"expires_at": "<string>",
"canceled_at": "<string>",
"created_at": "<string>"
},
"error": "<string>"
}Cancel subscription
Cancels the current authenticated user subscription.
POST
/
account
/
subscription
/
cancel
Cancel subscription
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
⌘I